versión API Graph

Instagram Business Asset Assigned Users

Lectura

Get a list of business users and their permissions tasks for this Instagram Business Asset

Ejemplo

Graph API Explorer
GET /v26.0/{instagram-business-asset-id}/assigned_users HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/assigned_users',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/assigned_users",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/assigned_users",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/assigned_users"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Si quieres aprender a usar la API Graph, lee nuestra guía "Uso de la API Graph".

Parámetros

ParámetroDescripción
business
numeric string

business

Obligatorio

Campos

La lectura de este perímetro mostrará un resultado formateado con JSON:

{ "data": [], "paging": {} }

data

Una lista de nodos de AssignedUser.

Los siguientes campos se añadirán a cada nodo devuelto:

CampoDescripción
tasks
list<string>

tasks

paging

Para obtener más detalles sobre la paginación, consulta la Guía de la API Graph.

Error Codes

ErrorDescripción
100Invalid parameter

Creando

No puedes realizar esta operación en este extremo.

Actualizando

You can update an AssignedUser by making a POST request to /{instagram_business_asset_id}/assigned_users.

Parámetros

ParámetroDescripción
tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Instagram Business Asset tasks to assign to user

user
UID

Business user

Obligatorio

Return Type

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}

Error Codes

ErrorDescripción
100Invalid parameter

Eliminando

You can dissociate an AssignedUser from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/assigned_users.

Parámetros

ParámetroDescripción
user
UID

user

Obligatorio

Return Type

Struct {
success: bool,
}